Smplayer

Audió és videó vágó, szerkesztő, lejátszó programok, kodekek
bgyula
Hozzászólások: 11
Csatlakozott: 2014.06.17. 10:56

Smplayer

Hozzászólás Szerző: bgyula » 2014.06.21. 10:26

Smplayer

Mindenféle formátumot le tud játszani, Beépített kodekekkel rendelkezik. Valamint youtube videók is nézhetők vele.

Legfrissebb smplayer+smtube csomag elérhető innen: https://yadi.sk/d/kIZzdfUETnCX4
Szükséges a Qt csomag hozzá, ami szintén elérhető a yandex tárhelyemről.
Tesztelve Puppy Precise 5.7.1

azami
Hozzászólások: 1014
Csatlakozott: 2014.06.20. 20:25

Re: Smplayer

Hozzászólás Szerző: azami » 2014.06.24. 13:13

Jó cucc 383-ra is...kösz!

janugsa
Hozzászólások: 403
Csatlakozott: 2014.06.28. 00:17

Re: Smplayer

Hozzászólás Szerző: janugsa » 2015.06.06. 10:01

NTamas fórumtársunk írása az smplayer smtube párosról:
viewtopic.php?p=2219#p2219

A Tahr puppys variációt kipróbáltam Tahr602 frugal telepített mentés nélküli változaton. QT4-t nem telepítettem.
Smplayernél nem volt hang. Opciók- Beállítások-Általános-Hang
alatt pulse helyett alsa kellett választani. Segítség- Update Youtube Code-val frissíteni kellett a kódot.
Esetleg gyengébb gépnél Opciók-Beállítások-Teljesítmény-Youtube minőség-360p mp4-re állítani.
Ezek után működött az Smtube is.
Előnye gyenge gépen is nézhető, nincs reklám.
Hátránya a kódolás miatt néha az új verzió megjelenéséig a régi nem működik. Igaz a hagyományos böngészőn jobb youtubot keresni.
Ezek a youtube-ra vonatkoznak. Mint lejátszó az Smplayer jó.
CSAK Smplayert feltelepítve is megjelenik a menüben egy smtube de az nem jó. Kölön kell eltelepíteni.

NTamas
Hozzászólások: 1590
Csatlakozott: 2014.06.19. 13:36

Re: Smplayer

Hozzászólás Szerző: NTamas » 2015.06.06. 21:27

Hiába frissítem a kódot, akkor sem működik az SM Tube. Ez van fenn a gépen.
smplayer-14.9.0-s-i686.pet Download
smtube-14.8.0-s-i686.pet Download
Kép

...Due to changes in YouTube, the old SMTube doesn’t work anymore. A new version has been developed, written from scratch. ...
...A YouTube változása miatt, a régi SMTube nem már működik. Új verzió került kifejlesztésre, a semmiből újraírva. ...
A hozzászólást 1 alkalommal szerkesztették, utoljára NTamas 2015.06.07. 17:44-kor.

NTamas
Hozzászólások: 1590
Csatlakozott: 2014.06.19. 13:36

Re: Smplayer

Hozzászólás Szerző: NTamas » 2015.06.07. 16:11

NTamas írta:Hiába frissítem a kódot, akkor sem működik az SM Tube.
...A YouTube változása miatt, a régi SMTube nem már működik. Új verzió került kifejlesztésre, a semmiből újraírva. ...
Mára viszont megváltozott a helyzet. Aki keres, utána néz, az talál, én is megtaláltam egy lehetőséget, amiből gyorsan gyártottam egy pet csomagot, így akit ez esetleg érdekel, az is ki tudja ezt az újabb verziót próbálni. Egyetlen gond van, a régi SM Tube verziót le kell szedni a gépről, de ennyi kellemetlenség még belefér. Ja igen, ebben az SM Tube-ban is(a Help menüpont alatt!) frissíteni kell a Youtube kódot, akárcsak az SMPlayer lejátszóban!
Tehát az új file: smtube_15.5.17-1_i386.pet

Így néz ki az új felület:

Kép
Kép

Kipróbálva egy VEVO-s Marc Antony-s videóklippel. /a klipp viszont egészen jó!/
Kép
A hozzászólást 4 alkalommal szerkesztették, utoljára NTamas 2015.06.09. 16:27-kor.

janugsa
Hozzászólások: 403
Csatlakozott: 2014.06.28. 00:17

Re: Smplayer

Hozzászólás Szerző: janugsa » 2015.06.07. 19:18

Nálam csak a tahr verzió megy . Precise puppyn sem a régi sem a mostani nem megy. A mostaninál a tube be sem jön.

NTamas
Hozzászólások: 1590
Csatlakozott: 2014.06.19. 13:36

Re: Smplayer

Hozzászólás Szerző: NTamas » 2015.06.08. 09:29

Próbáld meg ezzel, ezt egy -i686-os verzióból készítettem.
smtube-15517-1-i686.pet
Nálam ez is működik, akárcsak a fenti, -i386-os verzióból készült pet csomag.
Kép
A telepítési eljárás ugyanaz, mint a fenti, i386-os verziónál volt.
Régi verziót teljesen! letakarÍtani a gépről!- nem elég csak a Puppy csomagkezelőjére bízni ezt, kézzel is ki kiell törölni a régi smtube maradványokat-semmi ne maradjon a régiből, majd ezután feltenni az új pet csomagot, telepítése és elindítása után magában az smtube-ban is(a Help menüpont alatt!) frissíteni kell a youtube kódot!
Ennyi...így nálam mindkét új smtube-es pet verzió működik a már többször említett 3.9.11-es PAE-s kernelű Precise 571 Puppy Lite-n.
A hozzászólást 3 alkalommal szerkesztették, utoljára NTamas 2015.06.09. 16:45-kor.

janugsa
Hozzászólások: 403
Csatlakozott: 2014.06.28. 00:17

Re: Smplayer

Hozzászólás Szerző: janugsa » 2015.06.08. 11:20

Frissen telepített precise 571-en próbálgatom, qt 482 sfs felcsatolva. Furcsa hogy az smtube.pet csak 342k.
A Listdd progi ezeket a hiányzó függőségeket adta:
tubefuggoseg.png
tubefuggoseg.png (30.53 KiB) Megtekintve 3393 alkalommal

NTamas
Hozzászólások: 1590
Csatlakozott: 2014.06.19. 13:36

Re: Smplayer

Hozzászólás Szerző: NTamas » 2015.06.09. 16:06

Mint már írtam, ez nem a régi SM Tube, ez egy teljesen 0-ról átírt kódú verzió, ezért a mérete is más. A régi, 14-8-as verzióban a bin knyvtárban lévő futtatható állomány önmagában csak 14 MB, ez a mostani csomag meg összesen kb.330kb-nyi méretű, tehát jól látható, hogy itt a méretcsökkenés miatt valami más trükk is be van vetve. Az SM Tube új 386-os verziója még QT4.8.2-es támogatás mellett működik, de a 686-os verzió más az újabb QT5-ös verziót használja, arra épül rá, és annak a függőségeit hiányolja, -lásd nálad, a képen - ha az nincs fenn a rendszeren. Ebből következik, hogy az új 686-os verzió már a régebbi Puppy-kon nem minden esetben fog elindulni. Tegnap még azt írtam, hogy nálam a 686-os k:3.9.11-es kernelszámú, Pae-s Puppy Precise 571 Lite-en még elindult, és képet is tettem be róla, ez csak tegnap estig volt igaz. Ma délelőtt már elindítása után a 686-os verzió nálam is ezeket az egyébként tényleg hiányzó függőségi hiánylistát produkálta a csomagellenőrzővel megnézve:
libQt5WebkitWidgets.so.5
libQt5Widgets.so.5
libQt5Webkit.so.5
libQt5Gui.so.5
libQt5Network.so.5
libQt5Script.so.5
libQt5Core.so.5
Az Arch Linux oldalán nézd meg, ehhez az új verziószámú smtube-hoz mennyi új függőség kell, legalább az 58MB-os méretű új QT5, meg annak a script-je, stb. Jogos tehát a függőségi igény ablak.
Csak az az érdekes, ezek nálam ma nincsenek fenn a gépen, tegnap sem voltak, és tegnap mégis működik mind a két új smtube pet-es csomag!
Hogy miért, ne kérdezd, nem tudom! Pedig közben többször is teljesen újra lett indítva a gép, a 386-os pet verziót próbálgattam, az nálam tökéletesen jó, majd ezt a 386-os verziót leszedtem, teljesen letakarítottam, és ezután a 686-os pet készítési próba miatt feltelepítettem a 686-os verziót, ez egész este kiválóan működött, többször le volt kapcsolva a gép, majd újraindítva - vendégek jöttek, azért - sőt még késő éjfél felé is néztem vele youtube videót, mivel kipróbáltam a program lehetőségeit, a többféle lejátszóprogram vezérlését, illetve azokkal történő videó lejátszást, semmi hiba nem volt, működött szépen!
Erre ma délelőtt meg már nem volt hajlandó elindulni! - én is megkaptam a fenti, idézett függőségi hiánylistát.
Kénytelen voltam eltakarítani a gépről a 686-os verziójú SM Tube-t, és teljes eltávolítás után visszatenni a 386-os verziót, az legalább hiba nélkül működik most is, lepróbáltam! Persze ez a 386-os verzió még a QT4.8.2-re épül, ezért érthető, hogy nálam jól működik, mert ez a QT4.8.2 nálam a gépre fel van telepítve, és nem sfs-ként van felcsatolva. Ennyit tudok mondani...
Meg még annyit, amit hozzáolvastam:
A régi verziókkal hiába erőlködnek, azok már nem fognak működni, ugyanis a Google megváltoztatott a Yuotubon valamit még a html5-ön kívül is, és ezért kell lekérni az új youtube kódot, mind a lejátszóra, mind a Tube-ra!
Viszont, ez az új kód már nem teszi lehetővé, hogy az új SMTube-val a programon belül, alapértelmezetten tudj felvenni/lementeni youtube videót!!!! - az egész cirkusz erre ment ki egyébként!!! - viszont a Google annyi lehetőséget adott hogy az új kóddal lehetőség van az SMTube programon belül más lejátszót is elindítani, - nem véletlenül mellékeltem be fentebb azt a beállító-képet! - így olyan lejátszónak is át tudja az új Tube adni a yuotube linket lejátszásra!- mert ez a lényeg, lejátszásra, amely program amúgy képes felvételre is, lásd a vlc-t!
Továbbá van a programban belül új lejátszók hozzáadása rész is, itt elvileg az uGet-et is fel lehet venni lejátszóként, és azt beparaméterezve elvileg lehetséges lenne a yuotube videók felvétele is. DE! Épp ma próbáltam ki, felvettem az SM Tube-baaz új uGet-1.6.4 letöltőt lejátszóként, -ennek leírása itt! - a dolog elvileg, és gyakorlatilag működik is, csak, ......csak annyi a probléma, hogy mindösszesen csak egy párszáz kb-os állományt hoz le, félreértés ne essék, jó az uGet paraméterezése, el is indul a letöltés, az uGet program ablakában szépen látni is az éppen letöltött fájlmennyiséget, letöltési sebességet, csak éppen a kért fájl nem jön le!!! De legalább a youtube lejátszás az tökéletes, legalább is nálam az!
Közben kiderült, hogy mégiscsak lehet az uGet programmal is trükkösen videót lementeni, csak az erre szolgáló paraméter-ablak alatti kis kockát - ami a this player supports video sites nevet viseli- nos, azt a kis kockát nem szabad beikszelni! Nálam itt valamiért bennmaradt a kijelölés, az uGet elindult ugyan, de pár másodperc után megállt. Vagyis azt a kockát az uGet alkalmazásakor ;) nem szabad beikszelni, és ezután már simán lementhető a kívánt videó.
A hozzászólást 1 alkalommal szerkesztették, utoljára NTamas 2017.02.13. 21:19-kor.

NTamas
Hozzászólások: 1590
Csatlakozott: 2014.06.19. 13:36

Re: Smplayer

Hozzászólás Szerző: NTamas » 2016.01.18. 20:31

Időközben az SMPlayer-ből újabb verziószámú pet csomagok lettek elérhetőek.

package for Precise 5.7.1 (32bit) (ezt én is feltettem, kipróbáltam, tökéletesen megy nálam - Precise Puppy 571 Lite -)
smplayer-16.1.0-s-i686.pet Size: 11.89 MB

package for Slacko 6.3.0 (32bit) - Works out of the box in Slacko 6.3.0 - Other distros and versions not tested -
smplayer-16.1.0-s-i686.pet Size: 11.83 MB

A feltöltő a csomagoknak azonos nevet adott, ezért az elraktározáskor fokozottan figyeljünk oda a két eltérő verzióra, ugyanais még méretben is csak minimális eltérés van közöttük. Célszerű az egyes letöltések után a filéket a verziók nevével kiegészíteni.
A csomagok készítője szerint külön kiegészítő QT csomag mellételepítésére nincs szükség.(Compiled with statically Qt 4.8.6)

Válasz küldése

Vissza: “Multimédia”